Extending Qt Creator Manual | ProjectInfo

Extending Qt Creator Manual 4.5.2

# ProjectInfo Class

(QmlJS::ModelManagerInterface::ProjectInfo)

- List of all members, including inherited members

## Public Functions

| ProjectInfo()
| ProjectInfo(QPointer<ProjectExplorer::Project> project)
bool | isNull() const
bool | isValid() const
| operator bool() const

## Member Function Documentation

### ProjectInfo::ProjectInfo()

Default constructs an instance of ProjectInfo.

### ProjectInfo::ProjectInfo(QPointer<ProjectExplorer::Project> project)

Default constructs an instance of ProjectInfo.

### bool ProjectInfo::isNull() const

### bool ProjectInfo::isValid() const

### ProjectInfo::operator bool() const